Subject: Re: [regext] pass on the lower fee

From: "Gould, James" <[email-masked]>
Date: Tue, 17 Aug 2021 14:43:17 +0000

Agreed, for this use case I would go with a renew change poll message with the registry fee extension, such as:

   S: <?xml version="1.0" encoding="utf-8" standalone="no"?>
   S: <epp xmlns="urn:ietf:params:xml:ns:epp-1.0">
   S:   <response>
   S:  <response>
   S:     <result code="1301">
   S:       <msg>Command completed successfully; ack to dequeue</msg>
   S:     </result>
   S:     <msgQ id="200" count="1">
   S:       <qDate>2021-08-17T22:00:00.0Z </qDate>
   S:       <msg>Auto renew discount</msg>
   S:     </msgQ>
   S:     <resData>
   S:       <domain:renData
   S:         xmlns:domain="urn:ietf:params:xml:ns:domain-1.0">
   S:         <domain:name>example.com</domain:name>
   S:         <domain:exDate>2022-08-17T22:00:00.0Z</domain:exDate>
   S:       </domain:renData>
   S:     </resData>
   S:     <extension>
   S:       <changePoll:changeData
   S:         xmlns:changePoll="urn:ietf:params:xml:ns:changePoll-1.0">

   S:         <changePoll:operation>autoRenew</changePoll:operation>
   S:         <changePoll:date>2021-08-17T22:00:00.0Z</changePoll:date>
   S:         <changePoll:svTRID>12345-XYZ</changePoll:svTRID>
   S:         <changePoll:who>ClientZ</changePoll:who>
   S:         <changePoll:reason>Signed domain discount</changePoll:reason>
   S:        </changePoll:changeData>
   S:       <fee:renData xmlns:fee="urn:ietf:params:xml:ns:epp:fee-1.0">
   S:         <fee:currency>USD</fee:currency>
   S:         <fee:fee
   S:           refundable="1"
   S:           grace-period="P45D">5.00</fee:fee>
   S:       </fee:renData>
   S:     </extension>
   S:     <trID>
   S:       <clTRID>ABC-12345</clTRID>
   S:       <svTRID>54322-XYZ</svTRID>
   S:     </trID>
   S:   </response>
   S: </epp>

--

JG

James Gould
Fellow Engineer
[email-masked]<applewebdata://13890C55-AAE8-4BF3-A6CE-B4BA42740803/[email-masked]>

703-948-3271
12061 Bluemont Way
Reston, VA 20190

Verisign.com<http://verisigninc.com/>

From: regext <[email-masked]> on behalf of Mario Loffredo <[email-masked]>
Date: Tuesday, August 17, 2021 at 10:32 AM
To: Martin Casanova <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: [EXTERNAL] Re: [regext] pass on the lower fee

Hi Martin,

at .it we renew every domain automatically but the fee is always the same.

However, if I understood well, it seems to me that a possible solution might be a combination of the extensions defined in the two RFCs.

After all, RFC5730 allows to include more elements in the extension section of an EPP response.

You can use a poll message including as extensions the changePoll:changeData element, to convey that the operation child is "autoRenew", plus the fee:renew element, to convey the applied fee.

Best,

Mario
Il 17/08/2021 15:31, Martin Casanova ha scritto:

Hello

We are introducing a lower fee for automatic renewal of domains that have been signed for a certain amount of time. (signed through EPP or CDS)
Some resellers would like to pass on the lower fee to their customers and are interested to know the specific renewal fee of a domain after it has been renewed.

We are looking for the right EPP extension that could be used for this purpose. Maybe in the form of a Poll Message per domain.

Could the Change poll extension (rfc8590) be used for that purpose?

We are also considering the Registry Fee Extension (rfc8748) but the reseller would have to query every domain plus the given fee reflects the situation at that precise moment which
 is not necessarily the time the automatic renewal takes place. The domain could go signed/unsigned anytime and therefore the fee of the renewal would eventually change.

Are there any registries that do autorenewal and communicate that event with a poll message? Does it contain the fee ?

Any thoughts are appreciated.

Thanks

Martin

--

SWITCH

Martin Casanova, Domain Applications

Werdstrasse 2, P.O. Box, 8021 Zurich, Switzerland

phone +41 44 268 15 55, direct +41 44 268 16 25

[email-masked]<mailto:[email-masked]>, www.switch.ch<http://secure-web.cisco.com/1d4xbi17cUw5yAdqB0owW-uWofQQJpIxw2LSUC8_79dGB_Jyo7VivODrXt4kPkXrAJeA44ZoBMcEzGrWQirfOdyx--mjbDFEwN0cZ7XXLcniUoCmQVzCVlqaAly3HokdOGL7GOpFbzXoTuO_fTjPRu8Ob3ouEKUdoK4vO8Oslo0NE0s4JD4XybgoQgsZM51sT4UX-40BjUz0pknFbtQKHYhiYUd_AD9kQ0NfmETjwQhdKYfUz4wMALTWqmveZuTZU/http%3A%2F%2Fwww.switch.ch>

_______________________________________________

regext mailing list

[email-masked]<mailto:[email-masked]>

https://www.ietf.org/mailman/listinfo/regext<https://secure-web.cisco.com/1RmUiQeYWwwNiL-vGVDUcOjrmjYctZC4maFev3fZraS8tM_mEmPi9IeRa8ceB6vaYUNce0lkda_YXTLZ-VIsY6zI3ufzkANR_Be_cVjkP6G2eXRyP99jdQnRcnOxer7Ayxc82VS16PhrOSfDmw3VtRNpm5uUSbUQsVWjD2aFyWgNSnaPWp_LlXeYW99k6NNPE6RBpIyOOtaZKuW_1KYTLgsrus2sD84INW6-WZG5ZYOe1f4QtKkzQosRghRLNRMVO/https%3A%2F%2Fwww.ietf.org%2Fmailman%2Flistinfo%2Fregext>

--

Dr. Mario Loffredo

Technological Unit “Digital Innovation”

Institute of Informatics and Telematics (IIT)

National Research Council (CNR)

via G. Moruzzi 1, I-56124 PISA, Italy

Phone: +39.0503153497

Web: http://www.iit.cnr.it/mario.loffredo<http://secure-web.cisco.com/1t3zNpRz02VCX6_ESAZi9sHKLvYqZe-8QLk8Ptj8v7pO03O4AgyEMKd7qXaw8Ucu7GD2Mj6ErwYLulFNW-kp2k0z4HJ7aHJ98r_BNm8-wbM_dehF753ehBohAz6Vtnlvow97cy8c2dsZGboyos7_sYs7stdw8_ifD8b5hwcfDjWkpslQ8APMxscVDRmGereAv4hzk1liUAPzPa72xqr7pXxCliKrod6H3mZBGgM-MaJQT0Fsf7TiL-izbUUrTa2CZ/http%3A%2F%2Fwww.iit.cnr.it%2Fmario.loffredo>